
LABINVENT (InventIrap) - Evolution #1864
Actions # 4971 (Nouveau): ******* FEATURE - MATERIELS *******
MATERIEL - Modifier un matériel VALIDATED
02/04/2014 02:44 pm - Etienne Pallier

Status: Fermé Start date: 02/04/2014
Priority: Immédiat Due date:
Assignee: Thibaud Ajas % Done: 100%
Category: Estimated time: 0.00 hour
Target version: version 2.6.x Spent time: 3.00 hours
Description

Le proprio doit pouvoir modifier sa fiche, une fois créée, mais aussi même après qu'elle ait été validée.

Attention, la modification post-validation ne peut porter que sur les renseignements techniques complémentaires

il faut pouvoir modifier un matériel VALIDATED, mais certains champs seulement :

- on ne doit pas pouvoir changer un ordi en oscillo.

- on ne doit pas modifier sa date d'achat, le montant, et peut-etre le fournisseur.

- mais on doit pouvoir rajouter le numero de serie, si il n'y avait pas de sous-cat et qu'il en a une qui convient, pouvoir la rajouter, ...

Par contre, ce ne doit pas etre possible de changer le responsable et un user ne peut editer que ses matos

Related issues:
Copied to Evolution # 3592: Modifier un matériel VALIDATED Fermé 02/04/2014
Copied to Anomalie # 5086: MATERIEL - bugfixes divers suite à merge from LATMOS Fermé 02/04/2014

History
#1 - 05/14/2014 02:55 pm - Elodie Bourrec

On ne peut plus changer les informations comptables (fournisseur, prix et organisme) des que le materiel est valide, sauf ACL adequates.

#2 - 08/26/2014 01:53 pm - Etienne Pallier

En fait, le seul moyen de modifier complètement un matos VALIDATED (ou plus)
c'est de le rétrograder en CREATED (adminplus only)

#3 - 08/26/2014 05:40 pm - Etienne Pallier
- Status changed from Nouveau to Fermé
- Assignee set to Etienne Pallier
- % Done changed from 0 to 100

#4 - 01/12/2015 11:27 am - Elodie Bourrec
- Status changed from Fermé to Résolu

Une solution (validated -> created + modif) est possible mais voir si possible sans changer le statut.
#5 - 05/07/2017 06:03 pm - Etienne Pallier
- Subject changed from Modifier un matériel VALIDATED to MATERIEL - Modifier un matériel VALIDATED
- Target version deleted (version 1.3)
- Parent task set to #4971

#6 - 05/09/2017 09:49 am - Etienne Pallier
- Status changed from Résolu to Nouveau

#7 - 05/09/2017 09:49 am - Etienne Pallier
- % Done changed from 100 to 0

#8 - 05/23/2017 01:12 pm - Etienne Pallier
- Assignee changed from Etienne Pallier to Thibaud Ajas
- Target version set to version 2.6.x

#9 - 05/23/2017 04:55 pm - Etienne Pallier
- Description updated

#10 - 06/02/2017 06:04 pm - Etienne Pallier
- Priority changed from Normal to Immédiat

#11 - 06/09/2017 05:47 pm - Thibaud Ajas
- Status changed from Nouveau to Fermé
- % Done changed from 0 to 100
